Update Password
put
/v1/user/passwordPart of User.
Requires current password verification. Not available for SSO-only accounts.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Request body
Required, application/json.
| Field | Type | Description |
|---|---|---|
current_passwordrequired | string | Current password |
new_passwordrequired | string | New password |
confirm_passwordrequired | string | Confirm new password |
Example request
curl
curl -X PUT "https://api.robosystems.ai/v1/user/password" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"current_password": "string",
"new_password": "string",
"confirm_password": "string"
}'Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
successoptional | boolean | Indicates the operation completed successfully Default: |
messagerequired | string | Human-readable success message |
dataoptional | object | Optional additional data related to the operation |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |